## prog.utili
Class GestioneArray

    java.lang.Object
      prog.utili.GestioneArray

    public final class GestioneArray

extends java.lang.Object

Questa classe fornisce alcuni metodi statici per la manipolazione di array.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Method Summary

`static

`<S extends java.lang.Comparable<S>,T extends S> int`

`

`cerca(T[] a, S chiave)`
Il metodo cerca l'oggetto specificato come secondo argomento nell'array specificato come primo argomento.

`static void` `ordina(int[] a)` Ordina in modo crescente l'array di `int` fornito come argomento.
`static void` `ordina(java.lang.Integer[] a)` Ordina in modo crescente l'array di `Integer` fornito come argomento.
`static void` `ordina(java.lang.String[] a)` Ordina in modo crescente l'array di `String` fornito come argomento.

`static

`<T extends java.lang.Comparable<? super T>> void`

`

`ordina(T[] a)`
Ordina in modo crescente l'array fornito come argomento.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### ordina

    public static void ordina(int[] a)

  Ordina in modo crescente l'array di `int` fornito come argomento. L'algoritmo di ordinamento utilizzato è bubblesort.

  Parameters:
    `a` - l'array di `int` da ordinare.

### ordina

    public static void ordina(java.lang.String[] a)

  Ordina in modo crescente l'array di `String` fornito come argomento. L'algoritmo di ordinamento utilizzato è bubblesort.

  Parameters:
    `a` - l'array di `String` da ordinare.

### ordina

    public static void ordina(java.lang.Integer[] a)

  Ordina in modo crescente l'array di `Integer` fornito come argomento. L'algoritmo di ordinamento utilizzato è bubblesort.

  Parameters:
    `a` - l'array di `Integer` da ordinare.

### ordina

    public static <T extends java.lang.Comparable<? super T>> void ordina(T[] a)

  Ordina in modo crescente l'array fornito come argomento. L'algoritmo di ordinamento utilizzato è bubblesort.

  Parameters:
    `a` - l'array da ordinare.

### cerca

    public static <S extends java.lang.Comparable<S>,T extends S> int cerca(T[] a,
                                                                            S chiave)

  Il metodo cerca l'oggetto specificato come secondo argomento nell'array specificato come primo argomento. Il metodo utilizza l'algoritmo di ricerca dicotomica e assume che l'array specificato come argomento sia ordinato. Il metodo restituisce l'indice `i` di un elemento dell'array tale che `chiave.equals(a[i])` sia vero se un tale oggetto appartiene all'array e `-1` altrimenti.

  Parameters:
    `a` - l'array di `Comparable` in cui cercare l'oggetto `chiave`.
    `chiave` - l'oggetto da cercare.
  Returns:
    l'indice dell'oggetto `chiave`, se tale oggetto appartiene all'array, `-1` se l'oggetto non appartiene all'array.